# $Revision: 1.5 $, $Date: 2012/05/28 21:29:43 $
Summary:	Exfoliation Nagios theme
Name:		nagios-theme-exfoliation
Version:	3.4.1
Release:	1
License:	GPL v2+
Group:		Applications/WWW
Source0:	http://downloads.sourceforge.net/nagios/nagios-%{version}.tar.gz
# Source0-md5:	2fa8acfb2a92b1bf8d173a855832de1f
Patch0:		system-jquery.patch
Patch1:		system-magpierss.patch
URL:		http://lancet.mit.edu/mwall/projects/nagios/exfoliation.html
BuildRequires:	sed >= 4.0
Requires:	nagios-cgi >= 3.4.1-0.8
Requires:	webserver(php)
Provides:	nagios-theme
Obsoletes:	nagios-theme
#Obsoletes:	nagios-theme-default < 3.3.1-1.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		htmldir		/usr/share/nagios

%description
Exfoliation is a simple makeover for the Nagios Core web interface.

%prep
%setup -qc
cd nagios
%patch0 -p1
%patch1 -p1
cd ..
mv nagios/contrib/exfoliation/* .
# need some files from nagios tarball the way themes are made
mv nagios/html .

%{__sed} -e '
	s#@cgiurl@#/nagios/cgi-bin#
	s#@localstatedir@#/var/lib/nagios#

	/cgi_config_file/  s#@sysconfdir@#/''etc/webapps/nagios#
	/main_config_file/ s#@sysconfdir@#/''etc/nagios#

' html/config.inc.php.in > html/config.inc.php

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{htmldir}

# base files, not present in the exfoliation
cp -a html/*.php html/includes $RPM_BUILD_ROOT%{htmldir}

# copy theme files
cp -a images stylesheets $RPM_BUILD_ROOT%{htmldir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{htmldir}/*.php
%{htmldir}/includes/*
%{htmldir}/images/*
%exclude %{htmldir}/images/favicon.ico
%{htmldir}/stylesheets/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-theme-exfoliation.spec,v $
Revision 1.5  2012/05/28 21:29:43  glen
- up to version in nagios 3.4.1 tarball

Revision 1.4  2012/01/07 16:31:29  glen
- php deps, fix config paths

Revision 1.3  2012/01/06 15:29:24  glen
- use nagios tarball completely; contains some css fixes

Revision 1.2  2012/01/06 15:26:23  glen
- need some files from nagios package due the way themes are packaged in pld

Revision 1.1  2012/01/06 15:25:04  glen
- new
